=== debian/control ===
Source: puma
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9~),
               gem2deb,
               ruby-rack,
               ruby-hoe,
               libssl1.0-dev,
               rake
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/puma.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/puma.git
Homepage: http://puma.io
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: puma
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ${misc:Depends},
         ${shlibs:Depends}
Description: threaded HTTP 1.1 server for Ruby/Rack applications
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
 production environments.
