## puma 3.11.3

=== debian/changelog ===
puma (3.11.3-1) unstable; urgency=medium

  * Team upload
  * Remove myself from Uploaders:
  * New upstream version 3.11.3
  * Build against libssl-dev instead of libssl1.0-dev (Closes: #859542)
  * Refresh packaging files with `dh-make-ruby -wo .`
    * Bump debhelper compat to 11
    * Change Vcs-* to point to salsa.debian.org
    * Use standard debian/ruby-tests.rake
      * drop build-dependency on ruby-hoe
  * Refresh patches
  * New patches:
    - 0006-test-helper.rb-drop-bundler-usage.patch
    - 0007-test-test_cli.rb-disable-test-that-fails-randomly.patch
  * Replace 0001-test_puma_server_ssl-update-for-newer-versions-of-Op.patch
    with 0001-test_puma_server_ssl-disable-test-that-takes-too-lon.patch


 -- Antonio Terceiro <terceiro@debian.org>  Wed, 28 Mar 2018 18:53:22 -0300
