=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                gem2deb,
+               libssl-dev,
+               rake,
                ruby-rack,
-               ruby-hoe,
-               libssl1.0-dev,
-               rake
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/puma.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/puma.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: http://puma.io
 Testsuite: autopkgtest-pkg-ruby
 XS-Ruby-Versions: all
