## puma 3.12.0

=== debian/changelog ===
puma (3.12.0-2+deb10u2+rebuild) UNRELEASED; urgency=medium

  * update

 -- Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>  Tue, 08 Dec 2020 20:06:34 +0800

puma (3.12.0-2+deb10u2) buster; urgency=medium

  * Team upload.
  * d/patches/0009-disable-tests-failing-in-single-cpu.patch: Add author and
    bug tracker information.
  * d/patches/CVE-2020-5247.patch: Add patch to fix CVE-2020-5247.
    - Fix header value could inject their own HTTP response (closes: #952766).
  * d/patches/CVE-2020-5249.patch: Add patch to fix CVE-2020-5249.
    - Fix splitting newlines in headers and another vector for HTTP injection
      (closes: #953122).
  * d/patches/CVE-2020-11076.patch: Add patch to fix CVE-2020-11076.
    - Better handle client input to fix HTTP Smuggling via Transfer-Encoding
      header (closes: #972102).
  * d/patches/CVE-2020-11077.patch: Add patch to fix CVE-2020-11077.
    - Reduce ambiguity of headers to fix HTTP Smuggling via Transfer-Encoding
      header (closes: #972102).
  * d/patches/series: Enable new patches.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 15 Oct 2020 23:39:36 +0200

puma (3.12.0-2+deb10u1) buster; urgency=medium

  * Team upload.
  * d/control (Vcs-Git): Add branch.
  * d/patches/CVE-2019-16770.patch: Add patch.
    - Backport fix for CVE-2019-16770 from upstream (closes: #946312).
  * d/patches/series: Add patch.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Mar 2020 00:15:43 +0100

puma (3.12.0-2) unstable; urgency=medium

  * Disable tests failing in single cpu (Closes: #921931)

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 18:56:47 +0530

puma (3.12.0-1) unstable; urgency=medium

  [ Balint Reczey ]
  * New upstream version 3.12.0
  * Refresh patches

  [ Pirate Praveen ]
  * Fix OpenSSL 1.1.1 test failures with upstream patch (Closes: #900156)
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Add myself to uploaders

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Feb 2019 10:56:59 +0530
