=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: ruby
 Priority: optional
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
                gem2deb,
                libssl-dev,
                rake,
                ruby-rack,
-Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: http://puma.io
 Testsuite: autopkgtest-pkg-ruby
