=== debian/watch ===
version=3
https://github.com/puma/puma/releases .*/v(.*).tar.gz
