## puma 3.12.4

=== debian/changelog ===
puma (3.12.4-1ubuntu2) focal; urgency=medium

  - Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Lucas Kanashiro <lucas.kanashiro@canonical.com>  Tue, 10 Mar 2020 15:46:46 -0300

puma (3.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Changed to web.
    (Homepage): Use secure URL.
    (Depends): Add ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb for the moment.
    These tests fail due to openssl being configured to use SECLEVEL2
    (https://github.com/puma/puma/issues/2147).
  * d/rules: Add override to install upstream changelog.
  * d/watch: Rename downloaded tarball to include package name.
  * d/patches/0008-fix-ssl-tests.patch: Remove patch. Applied upstream.
  * d/patches/CVE-2019-16770.patch: Ditto.
  * d/patches/*.patch: Refresh patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Mar 2020 23:09:16 +0100

puma (3.12.0-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2020 11:02:15 +0100

puma (3.12.0-4) unstable; urgency=medium

  * Team upload.
  * d/control (Rules-Requires-Root): Set to binary-targets.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest retry extension.
  * d/patches/CVE-2019-16770.patch: Add patch.
    - Backport fix for CVE-2019-16770 from upstream (closes: #946312).
  * d/patches/series: Add patch.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 12:54:59 +0100

puma (3.12.0-3) unstable; urgency=medium

  * Team upload.
  * d/compat: Remove obsolete file.
  * d/control: Add Rules-Requires-Root field.
    (Build-Depends): Use debhelper-compat.
    (Standards-Version): Bump to 4.5.0.
    (Depends): Drop ruby-interpreter.
  * d/copyright (Format): Fix insecure-copyright-format-uri and add myself.
  * d/puma.1, d/pumactl.1: Add manual pages.
  * d/puma.manpages: Install manual pages.
  * d/ruby-tests.rake: Set verbose mode.
  * d/patches/0010-fix-cluster-exit-for-ruby27.patch: Add patch.
    - Fix hang with Ruby >= 2.6 when shutting down workers.
  * d/patches/series: Enable new patch.
  * d/upstream/metadata: Add metadata.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 05 Feb 2020 18:20:58 +0100

puma (3.12.0-2ubuntu1) disco; urgency=medium

  * Disable a test that fails on Ubuntu builder farm, but not locally

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Apr 2019 16:25:42 +0200
