=== debian/control ===
Source: puma
Section: web
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12), gem2deb, libssl-dev, rake, ruby-rack
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
Vcs-Browser: https://salsa.debian.org/ruby-team/puma
Homepage: https://puma.io
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all
Rules-Requires-Root: binary-targets

Package: puma
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby, ${misc:Depends}, ${ruby:Depends}, ${shlibs:Depends}
Description: threaded HTTP 1.1 server for Ruby/Rack applications
 Puma is a simple, fast, threaded, and highly concurrent HTTP 1.1 server for
 Ruby/Rack applications. Puma is intended for use in both development and
 production environments.
