## puma 3.53.0

=== DESCRIPTION ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Title: Propagating Uncertainty in Microarray Analysis(including
         Affymetrix tranditional 3' arrays and exon arrays and Human
         Transcriptome Array 2.0)
-Version: 3.52.0
+Version: 3.53.0
 Date: 2015-7-29
 Author: Richard D. Pearson, Xuejun Liu, Magnus Rattray, Marta Milo, Neil D.
     Lawrence, Guido Sanguinetti, Li Zhang
@@ -19,11 +19,11 @@
         mRNAMicroarray, ChipOnChip, AlternativeSplicing,
         DifferentialSplicing, Bayesian, TwoChannel, DataImport, HTA2.0
 URL: http://umber.sbs.man.ac.uk/resources/puma
-Packaged: 2025-10-30 05:51:53 UTC; biocbuild
+Packaged: 2025-10-31 23:35:36 UTC; biocbuild
 NeedsCompilation: yes
 git_url: https://git.bioconductor.org/packages/puma
-git_branch: RELEASE_3_22
-git_last_commit: fa4369b
+git_branch: devel
+git_last_commit: fdcbc97
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-10-31
