## puma 4.3.6

=== debian/changelog ===
puma (4.3.6-1ubuntu4) hirsute; urgency=medium

  * Another attempt to fix autopkgtest regressions (LP: #1916954, #1906307)
    - d/p/skip-test-hanging-on-s390x.patch: renamed to
      skip-test-hanging-on-different-arches.patch. Also skipped another test
      which is timing out on s390x, arm64 and ppc64el so far.
    - d/ruby-tests.rake:
      + Set CI environment variable to 300. This will make tests time out
        after 5 minutes and not hang there forever, which can helps us identify
        problems more easily.
      + Do not run test/test_cli.rb tests on arm64, different test cases from
        this test file have been failing for a while. Some investigation with
        upstream maintainers is ongoing.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 01 Mar 2021 10:53:51 -0300

puma (4.3.6-1ubuntu3) hirsute; urgency=medium

  * Fix autopkgtest regressions on s390x and arm64 (LP: #1916954)
    - d/p/skip-test-hanging-on-s390x.patch: this is a workaround for now. The
      discussion with the Debian maintainer is ongoing.
    - d/t/autopkgtest-pkg-ruby.conf: add restrictions to the autodep8 test
      definition.
    - d/t/control: removed. The test defined runs the same command than the
      one defined by autodep8. In Debian this test is manually defined to run
      OpenSSL related tests, but in Ubuntu we disabled them. 

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 25 Feb 2021 17:57:53 -0300

puma (4.3.6-1ubuntu2) hirsute; urgency=medium

  * d/t/control: do not run SSL tests with autopkgtest. Due to OpenSSL
    differences between Ubuntu and Debian some tests are failing with
    autopkgtest only.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 19 Feb 2021 16:52:12 -0300

puma (4.3.6-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Dec 2020 08:12:56 +0100

puma (4.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
    - Fixes CVE-2020-11076 and CVE-2020-11077 (closes: #972102).
  * d/copyright: Minor update.
  * d/puma.lintian-overrides: Add package override.
  * d/ruby-tests.rake: Add logic to run SSL test.
  * d/patches/*.patch: Add missing headers and refresh.
  * d/source/lintian-overrides: Add source override.
  * d/tests/control: Set environment variable to run the SSL tests separately
    (similar to the solution used in the jekyll package).
  * d/tests/test-puma-server-ssl*: Removed.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 15 Oct 2020 20:57:29 +0200

puma (4.3.3-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP: #1866881).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Sep 2020 11:42:08 +0200

puma (4.3.3-3) unstable; urgency=medium

  * Include patch from gitlab to improve performance

 -- Pirate Praveen <praveen@debian.org>  Tue, 18 Aug 2020 00:15:20 +0530

puma (4.3.3-2) unstable; urgency=medium

  [ Daniel Leidert ]
  * debian/tests/test_puma_server_ssl,
    debian/tests/test_puma_server_ssl.rake: Run test/test_puma_server_ssl.rb
    in an openssl enviroment not using the Debian defaults.
  * debian/tests/control: Add new test.

  [ Debian Janitor ]
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Pirate Praveen ]
  * Remove debian-branch option from debian/gbp.conf
  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 03 Aug 2020 15:37:16 +0530

puma (4.3.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2020-5247 (closes: #952766).
    - Fixes CVE-2020-5249 (closes: #953122).
  * d/control (Section): Change to web.
    (Vcs-Git): Indicate branch name via -b debian/experimental.
    (Homepage): Use secure URL.
    (Depends): Use ${ruby:Depends}.
  * d/copyright (Source): Use secure URL.
  * d/rules: Add override to install upstream changelog.
  * d/watch: Use package name for tarball.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 05 Mar 2020 01:34:17 +0100

puma (4.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Fixes CVE-2019-16770 Keepalive thread overload/DoS (closes: #946312).
  * d/control (Rules-Requires-Root): Set to binary-targets.
    (Build-Depends, Depends): Add ruby-nio4r.
    (Build-Depends): Add curl for test/test_integration_single.rb.
  * d/ruby-tests.rake: Disable test/test_puma_server_ssl.rb.
  * d/README.source: Add to explain tests which have been disabled.
  * d/patches/0004-puma.gemspec-drop-git-usage.patch: Refresh patch.
  * d/patches/0011-disable-minitest-extensions.patch: Add patch.
    - Disable unavailable minitest extensions (retry and proveit).
  * d/patches/0012-disable-cli-ssl-tests.patch: Add patch.
    - Disable CLI SSL tests.
  * d/patches/0013-fix-test-term-not-accepts-new-connections.patch: Add.
    - Fix test_term_not_accepts_new_connections to be locale independent.
  * d/patches/0002-test_integration-disable-test-that-fails-randomly.patch,
    d/patches/0003-test_cli-disable-test-that-rails-randomly.patch,
    d/patches/0005-test_puma_server-disable-test-that-fails-randomly.patch,
    d/patches/0006-test-helper.rb-drop-bundler-usage.patch,
    d/patches/0007-test-test_cli.rb-disable-test-that-fails-randomly.patch,
    d/patches/0008-fix-ssl-tests.patch,
    d/patches/0009-disable-tests-failing-in-single-cpu.patch,
    d/patches/0010-fix-cluster-exit-for-ruby27.patch: Remove obsolete patches.
  * d/patches/series: Adjust.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 06 Feb 2020 11:45:11 +0100
