=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper-compat (= 12), gem2deb, libssl-dev, rake, ruby-rack
+Build-Depends: curl,
+               debhelper-compat (= 12),
+               gem2deb,
+               libssl-dev,
+               rake,
+               ruby-nio4r (>= 2),
+               ruby-rack (<< 3)
 Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
 Testsuite: autopkgtest-pkg-ruby
