## puma 4.3.8

=== debian/changelog ===
puma (4.3.8-1+deb11u3) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2024-21647, CVE-2024-45614

 -- Abhijith PA <abhijith@debian.org>  Wed, 06 Nov 2024 13:05:57 +0530

puma (4.3.8-1+deb11u2) bullseye-security; urgency=medium

  * Team upload.
  * d/p: Add security patch for CVE-2021-41136

 -- Mohammed Bilal <mdbilal@disroot.org>  Thu, 14 Apr 2022 10:05:32 +0000

puma (4.3.8-1+deb11u1) bullseye-security; urgency=medium

  * Team upload.
  * d/p: Add security patch for CVE-2022-23634 (closes: #1005391)
  * d/p: Add security patch for CVE-2022-24790 (closes: #1008723)

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 13 Apr 2022 01:13:45 +0000

puma (4.3.8-1) unstable; urgency=medium

  * New upstream version 4.3.8 (Closes: #989054) (Fixes: CVE-2021-29509)

 -- Pirate Praveen <praveen@debian.org>  Wed, 26 May 2021 10:24:19 +0530
