## puma 5.5.2

=== debian/changelog ===
puma (5.5.2-2ubuntu2) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 18:17:16 -0300

puma (5.5.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Fix autopkgtest regressions on multiple architectures
      (LP #1916954, #1906307)
      + d/p/skip-tests-hanging-on-different-arches.patch: this is a
        workaround for now. The discussion with the Debian maintainer is
        ongoing.
  * Dropped:
    - Disable a test that fails on Ubuntu builder farm, but not locally
      (LP #1866881).
    - d/t/control: do not run SSL tests with autopkgtest. Due to OpenSSL
      differences between Ubuntu and Debian some tests are failing with
      autopkgtest only.
    - d/t/control: removed. The test defined runs the same command than the
      one defined by autodep8. In Debian this test is manually defined to run
      OpenSSL related tests, but in Ubuntu we disabled them.
    - d/t/autopkgtest-pkg-ruby.conf: add restrictions to the autodep8 test
      definition.
    - d/ruby-tests.rake:
      + Set CI environment variable to 300. This will make tests time out
        after 5 minutes and not hang there forever, which can helps us identify
        problems more easily.
      + Do not run test/test_cli.rb tests on arm64, different test cases from
        this test file have been failing for a while. Some investigation with
        upstream maintainers is ongoing.
  * Added:
    - d/p/fix-ssl-test.patch: Fix FTBFS against OpenSSL 3.
    - d/p/skip-integration-tests-failing-in-ubuntu-autopkgtest-env.patch:
      some tests are failing only in autopkgtest and need further
      investigation.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 24 Nov 2021 11:30:05 -0300

puma (5.5.2-2) unstable; urgency=medium

  * Team upload
  * debian/rules: force an UTF-8 locale
  * debian/ruby-tests.rake: wrap lines
  * debian/ruby-tests.rake: run all ssl tests on autopkgtest only
  * debian/test/control: give ssl test a name

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 16:35:12 -0300

puma (5.5.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 5.5.2
    - Builds and tests fine again (Closes: #998295)
  * Add build-dependency on ruby-localhost
  * debian/rules: exclude several unnecessary files from installation

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 02 Nov 2021 14:39:10 -0300

puma (5.3.2-3) unstable; urgency=medium

  * Use --gem-install layout option of dh-ruby

 -- Pirate Praveen <praveen@debian.org>  Tue, 12 Oct 2021 02:24:33 +0530

puma (5.3.2-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility level to 13

 -- Pirate Praveen <praveen@debian.org>  Mon, 11 Oct 2021 03:17:23 +0530

puma (5.3.2-1) experimental; urgency=medium

  * New upstream version 5.3.2 (Closes: #989054) (Fixes: CVE-2021-29509)
  * Refresh patches

 -- Pirate Praveen <praveen@debian.org>  Fri, 28 May 2021 22:34:53 +0530

puma (5.2.2-2) experimental; urgency=medium

  * Disable test that failied on amd64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 08 Mar 2021 23:03:52 +0530

puma (5.2.2-1) experimental; urgency=medium

  * New upstream version 5.2.2
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Refresh patches for new upstream release
  * Add ruby-minitest-stub-const as build dependency
  * Disable failing tests

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Mar 2021 21:03:52 +0530
