=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: curl,
-               debhelper-compat (= 12),
-               gem2deb,
+               debhelper-compat (= 13),
+               gem2deb (>= 1.6),
                libssl-dev,
                rake,
+               ruby-localhost,
                ruby-nio4r (>= 2),
-               ruby-rack (<< 3)
-Standards-Version: 4.5.0
+               ruby-rack (<< 3),
+               ruby-minitest-stub-const
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
