## puma 5.6.5

=== debian/changelog ===
puma (5.6.5-3+deb12u1) bookworm; urgency=medium

  * Team upload
  * d/patches/
   + CVE-2023-40175.patch: Fix CVE-2023-40175, incorrect behavior when
     parsing chunked transfer encoding bodies and zero-length
     Content-Length headers in a way that allowed HTTP request
     smuggling. (Closes: #1050079)

   + CVE-2024-21647.patch: Fix CVE-2024-21647 by limiting the size of
     chunk extensions. (Closes: #1060345)

   + CVE-2024-45614.patch: Fix CVE-2024-45614, clients could clobber
     values set by intermediate proxies (such as X-Forwarded-For) by
     providing a underscore version of the same header.
     (Closes: #1082379)

 -- Abhijith PA <abhijith@debian.org>  Wed, 29 Jan 2025 07:26:33 +0530

puma (5.6.5-3) unstable; urgency=medium

  * Team upload.
  * d/control (Vcs-Git): Fix URL.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 Feb 2023 16:24:05 +0100

puma (5.6.5-2) unstable; urgency=medium

  * debian/ruby-tests.rake: skip test that fails often (Closes: #1006022)
  * debian/ruby-tests.rake: exclude tests that fail often but not always

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Nov 2022 09:26:37 -0300

puma (5.6.5-1) unstable; urgency=medium

  * Update watch file for github.com pattern change
  * New upstream version 5.6.5
  * Refresh patches
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 16 Oct 2022 22:44:46 +0530

puma (5.6.4-1) unstable; urgency=medium

  * New upstream version 5.6.4
  * Refresh patches
  * Disable some tests that fail with 
     NameError: uninitialized constant Puma::LogWriter
  * Remove tmp/restart.txt in clean

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Apr 2022 13:24:10 +0530
