=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: curl,
                debhelper-compat (= 13),
@@ -13,8 +12,8 @@
                ruby-nio4r (>= 2),
                ruby-rack (<< 3),
                ruby-minitest-stub-const
-Standards-Version: 4.6.0
-Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
+Standards-Version: 4.6.1
+Vcs-Git: https://salsa.debian.org/ruby-team/puma.git
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
 Testsuite: autopkgtest-pkg-ruby
