## puma 6.4.2

=== debian/changelog ===
puma (6.4.2-4ubuntu4.3) noble-security; urgency=medium

  * SECURITY UPDATE: header clobbering using underscores
    - debian/patches/CVE-2024-45614.patch: prevent underscores from
      clobbering hyphen headers in lib/puma/const.rb, lib/puma/request.rb,
      ext/puma_http11/org/jruby/puma/Http11.java, test/test_normalize.rb,
      test/test_request_invalid.rb.
    - CVE-2024-45614
  * Fix FTBFS due to certs expiration:
    - d/p/0009-CI-update-chain-certs-example-files-3426.patch
    - d/p/0010-Update-all-certs.patch
    - d/p/0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
  * Fix autopkgtests:
    - d/p/0019-Fix-path-of-certs-used-by-test_puma_server_ssl.patch
    - debian/tests/test_puma_server_ssl: switch to ruby3.2.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 20 Sep 2024 08:30:04 -0400

puma (6.4.2-4ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:17:29 +1100

puma (6.4.2-4ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:05:58 +0000

puma (6.4.2-4ubuntu2) noble; urgency=medium

  * No-change upload to remove support of ruby3.1.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Feb 2024 15:09:38 -0300

puma (6.4.2-4ubuntu1) noble; urgency=medium

  * d/p/0018-disable-test-failing-with-ruby3.2.patch: some tests are failing
    because they take too long, they do not seem real regressions.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 07 Feb 2024 19:16:00 -0300

puma (6.4.2-4) unstable; urgency=medium

  * Disable test failing on armhf

 -- Pirate Praveen <praveen@debian.org>  Tue, 06 Feb 2024 18:13:41 +0530

puma (6.4.2-3) unstable; urgency=medium

  * Add Breaks: rails (<< 2:6.1.7.3+dfsg-3~)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 15:12:00 +0530

puma (6.4.2-2) unstable; urgency=medium

  * Disable test failing on arm64 buildd

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 14:11:14 +0530

puma (6.4.2-1) unstable; urgency=medium

  * Switch to github tags from releases (6.4.2 is only available from tags)
  * New upstream version 6.4.2 (Fixes: CVE-2024-21647)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 01:08:22 +0530

puma (6.4.0-4) unstable; urgency=medium

  * Remove minitest/retry as well (copy from 5.x branch and fixes salsa ci)
  * Export LC_ALL also to C.UTF-8 (hoping this would fix some test failures)

 -- Pirate Praveen <praveen@debian.org>  Mon, 05 Feb 2024 00:52:13 +0530

puma (6.4.0-3) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sun, 04 Feb 2024 01:16:15 +0530

puma (6.4.0-2) experimental; urgency=medium

  * Set TEST_CASE_TIMEOUT = 300 (one test is timing out on amd64 buildd)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Dec 2023 23:59:02 +0530

puma (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * Disable more tests and refresh patches
  * Add procps to build depends for kill command (used in tests)

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Dec 2023 13:58:23 +0530

puma (6.0.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * d/control (Standards-Version): Bump to 4.6.2.
    (Build-Depends): Add ruby-sd-notify.
  * d/copyright (Copyright): Update years.
  * d/ruby-tests.rake: Re-enable multiple tests (closes: #984713).
  * d/upstream/metadata: Adjust a few URLs.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 Feb 2023 16:12:20 +0100
