## puma 6.4.3

=== debian/changelog ===
puma (6.4.3-2) unstable; urgency=medium

  * Team upload.
  * d/p/0018-disable-test-failing-with-ruby3.2.patch: fix FTBFS

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 23 Dec 2024 19:07:19 -0300

puma (6.4.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Fixes CVE-2024-45614 (Closes: #1082379)
  * Remove custom ssl autopkgtest.
    - https://lists.debian.org/debian-ruby/2024/11/msg00006.html
  * Update certificates for tests.

 -- Abhijith PA <abhijith@debian.org>  Mon, 30 Sep 2024 09:46:18 +0530

puma (6.4.2-6) unstable; urgency=medium

  * Fix FTBFS due to certs expiration (Closes: #1078640)
    - d/p/0010-Update-all-certs.patch
    - d/p/0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
  * Declare compliance with Debian Policy 4.7.0.

 -- Lucas Kanashiro <kanashiro@debian.org>  Thu, 19 Sep 2024 17:56:24 -0300

puma (6.4.2-5) unstable; urgency=medium

  * Backport upstream patch to update certificates in examples.
    This fixes a test failure.

 -- Lucas Kanashiro <kanashiro@debian.org>  Sat, 20 Jul 2024 12:24:05 -0300
