=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: puma
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>,
            Lucas Kanashiro <kanashiro@debian.org>
 Build-Depends: curl,
@@ -16,7 +15,7 @@
                ruby-rack (<< 3),
                ruby-sd-notify,
                procps
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/ruby-team/puma.git -b debian/experimental
 Vcs-Browser: https://salsa.debian.org/ruby-team/puma
 Homepage: https://puma.io
