## puma 6.6.0

=== debian/changelog ===
puma (6.6.0-4) unstable; urgency=medium

  * Team upload.
  * Do not generate example certificates in build time to avoid build
    depending on Java
  * d/p/0019-adapt-test-certs-generation.patch: adjust example certificates
    generation script
  * d/p/0020-update-ex-certs.patch: update example certificates to avoid a
    regression for #1078640
  * debian/README.source: document test certificates generation

 -- Athos Ribeiro <athos@debian.org>  Thu, 17 Jul 2025 07:20:19 -0300

puma (6.6.0-3) unstable; urgency=medium

  * Team upload.
  * Freshly generate example certificates for test suite (Closes: #1078640)

 -- Timo Röhling <roehling@debian.org>  Wed, 16 Jul 2025 21:51:16 +0200

puma (6.6.0-2) unstable; urgency=medium

  * Team upload
  * Change build-dependency on ruby-rackup to
    ruby-rackup | ruby-rack (<< 3), to allow migration to testing
    independently of rackup or rack 3.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 07 Feb 2025 21:46:17 +0100

puma (6.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 6.5.0, with fixes for rack 3. Closes: #1094539
  * Refresh patches for 6.5.0
  * Drop patches (were upstream backports, so no longer needed):
      + 0009-CI-update-chain-certs-example-files-3426.patch
      + 0010-Update-all-certs.patch
      + 0011-Fix-path-of-certs-useb-by-test_example_cert_expirati.patch
      + 0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch
      + 0018-update-certs-from-upstream.patch
  * Refresh packaging using dh-make-ruby
  * Add build-dep on rackup for Rack::Handler
  * New upstream version 6.6.0
  * Refresh patches again, for 6.6.0
  * Add build-dep on ruby-concurrent
  * Add patch: 0010-Disable-test-concurrency-without-concurrent_ruby.patch
  * Drop unmatched lintian override

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 05 Feb 2025 14:56:49 +0100

puma (6.4.3-3) unstable; urgency=medium

  * d/p/0014-Give-a-wide-berth-on-the-timeout-as-sometimes-CI-is-.patch:
    increase timeout to fix FTBFS with ruby 3.3.

 -- Lucas Kanashiro <kanashiro@debian.org>  Wed, 22 Jan 2025 17:06:59 -0300
